<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="page">
    <name>main</name>
    <title>Globus GSI Callback</title>
    <filename>main</filename>
  </compound>
  <compound kind="group">
    <name>globus_gsi_callback_activation</name>
    <title>Activation</title>
    <filename>group__globus__gsi__callback__activation.html</filename>
    <member kind="define">
      <type>#define</type>
      <name>GLOBUS_GSI_CALLBACK_MODULE</name>
      <anchorfile>group__globus__gsi__callback__activation.html</anchorfile>
      <anchor>g1cc6d67308c545344dbe19923752c3ff</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_gsi_callback</name>
    <title>Callback Functions</title>
    <filename>group__globus__gsi__callback.html</filename>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_callback_get_X509_STORE_callback_data_index</name>
      <anchorfile>group__globus__gsi__callback.html</anchorfile>
      <anchor>g9c70ea3f7d690852f66dd3323f930520</anchor>
      <arglist>(int *index)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_callback_get_SSL_callback_data_index</name>
      <anchorfile>group__globus__gsi__callback.html</anchorfile>
      <anchor>gbf8e9e7355fc457b188cc26a049ed088</anchor>
      <arglist>(int *index)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gsi_callback_X509_verify_cert</name>
      <anchorfile>group__globus__gsi__callback.html</anchorfile>
      <anchor>gfb49982163f7416df2479e9b190df6a6</anchor>
      <arglist>(X509_STORE_CTX *context, void *arg)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gsi_callback_create_proxy_callback</name>
      <anchorfile>group__globus__gsi__callback.html</anchorfile>
      <anchor>gaa225b22ec24b58debd7b2765a24ca3c</anchor>
      <arglist>(int preverify_ok, X509_STORE_CTX *x509_context)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gsi_callback_handshake_callback</name>
      <anchorfile>group__globus__gsi__callback.html</anchorfile>
      <anchor>g2b0b1f254d5aa6143096bd4938cbc560</anchor>
      <arglist>(int preverify_ok, X509_STORE_CTX *x509_context)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gsi_callback_check_issued</name>
      <anchorfile>group__globus__gsi__callback.html</anchorfile>
      <anchor>ge757f5d6246ea3780fba1a7f4573947f</anchor>
      <arglist>(X509_STORE_CTX *context, X509 *cert, X509 *issuer)</arglist>
    </member>
    <member kind="typedef">
      <type>int(*)</type>
      <name>globus_gsi_extension_callback_t</name>
      <anchorfile>group__globus__gsi__callback.html</anchorfile>
      <anchor>ga463ec58082a3fbf4052443628cd26c8</anchor>
      <arglist>(globus_gsi_callback_data_t callback_data, X509_EXTENSION *extension)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_gsi_callback_data</name>
    <title>Callback Data Functions</title>
    <filename>group__globus__gsi__callback__data.html</filename>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_callback_data_init</name>
      <anchorfile>group__globus__gsi__callback__data.html</anchorfile>
      <anchor>g50c51d23604734fbf8ed34b9fc3ffabc</anchor>
      <arglist>(globus_gsi_callback_data_t *callback_data)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_callback_data_destroy</name>
      <anchorfile>group__globus__gsi__callback__data.html</anchorfile>
      <anchor>gc93f35ddda35071e847778af04bf94c5</anchor>
      <arglist>(globus_gsi_callback_data_t callback_data)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_callback_data_copy</name>
      <anchorfile>group__globus__gsi__callback__data.html</anchorfile>
      <anchor>g9f259f02a1594d5e0045f9ca481c00e9</anchor>
      <arglist>(globus_gsi_callback_data_t source, globus_gsi_callback_data_t *dest)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_callback_get_cert_depth</name>
      <anchorfile>group__globus__gsi__callback__data.html</anchorfile>
      <anchor>g45e0e205463bd2ecdb152a386addaabe</anchor>
      <arglist>(globus_gsi_callback_data_t callback_data, int *cert_depth)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_callback_set_cert_depth</name>
      <anchorfile>group__globus__gsi__callback__data.html</anchorfile>
      <anchor>gffff24bfdd41d97ca0cb894da1479efe</anchor>
      <arglist>(globus_gsi_callback_data_t callback_data, int cert_depth)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_callback_get_proxy_depth</name>
      <anchorfile>group__globus__gsi__callback__data.html</anchorfile>
      <anchor>g2dbe1eb506eadde49526a5e032889de4</anchor>
      <arglist>(globus_gsi_callback_data_t callback_data, int *proxy_depth)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_callback_set_proxy_depth</name>
      <anchorfile>group__globus__gsi__callback__data.html</anchorfile>
      <anchor>gbaacd757904a0d85a33a4213b1064135</anchor>
      <arglist>(globus_gsi_callback_data_t callback_data, int proxy_depth)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_callback_get_cert_type</name>
      <anchorfile>group__globus__gsi__callback__data.html</anchorfile>
      <anchor>gd72b3bf296226b1ee50572d9cfb58684</anchor>
      <arglist>(globus_gsi_callback_data_t callback_data, globus_gsi_cert_utils_cert_type_t *cert_type)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_callback_set_cert_type</name>
      <anchorfile>group__globus__gsi__callback__data.html</anchorfile>
      <anchor>gabeb2c0e55d1e1515956d9a04ec849ff</anchor>
      <arglist>(globus_gsi_callback_data_t callback_data, globus_gsi_cert_utils_cert_type_t cert_type)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_callback_get_cert_chain</name>
      <anchorfile>group__globus__gsi__callback__data.html</anchorfile>
      <anchor>g3ae056bfbf0f77c9982904671c820997</anchor>
      <arglist>(globus_gsi_callback_data_t callback_data, STACK_OF(X509)**cert_chain)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_callback_set_cert_chain</name>
      <anchorfile>group__globus__gsi__callback__data.html</anchorfile>
      <anchor>gb700561bbfc3e6dea90b44f29b6001a1</anchor>
      <arglist>(globus_gsi_callback_data_t callback_data, STACK_OF(X509)*cert_chain)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_callback_get_multiple_limited_proxy_ok</name>
      <anchorfile>group__globus__gsi__callback__data.html</anchorfile>
      <anchor>g95640d5d74fa34e17a9650ad6da50be6</anchor>
      <arglist>(globus_gsi_callback_data_t callback_data, int *multiple_limited_proxy_ok)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_callback_set_multiple_limited_proxy_ok</name>
      <anchorfile>group__globus__gsi__callback__data.html</anchorfile>
      <anchor>g6e9a7e984e9e537ce05887cc7f3e582a</anchor>
      <arglist>(globus_gsi_callback_data_t callback_data, int multiple_limited_proxy_ok)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_callback_get_extension_oids</name>
      <anchorfile>group__globus__gsi__callback__data.html</anchorfile>
      <anchor>g730bc87f5ac0b29a768cfed2b103cc64</anchor>
      <arglist>(globus_gsi_callback_data_t callback_data, void **extension_oids)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_callback_set_extension_oids</name>
      <anchorfile>group__globus__gsi__callback__data.html</anchorfile>
      <anchor>gfa3b824fda5072498c640f710e600205</anchor>
      <arglist>(globus_gsi_callback_data_t callback_data, void *extension_oids)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_callback_get_cert_dir</name>
      <anchorfile>group__globus__gsi__callback__data.html</anchorfile>
      <anchor>gbed5677180a3d762af3737dd1245a4f1</anchor>
      <arglist>(globus_gsi_callback_data_t callback_data, char **cert_dir)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_callback_set_cert_dir</name>
      <anchorfile>group__globus__gsi__callback__data.html</anchorfile>
      <anchor>g334046480e9ab07a0129e19c28acfac5</anchor>
      <arglist>(globus_gsi_callback_data_t callback_data, char *cert_dir)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_callback_get_extension_cb</name>
      <anchorfile>group__globus__gsi__callback__data.html</anchorfile>
      <anchor>g4a9d64368fb1197e58d853a2e613b14d</anchor>
      <arglist>(globus_gsi_callback_data_t callback_data, globus_gsi_extension_callback_t *extension_cb)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_callback_set_extension_cb</name>
      <anchorfile>group__globus__gsi__callback__data.html</anchorfile>
      <anchor>gd4f0decf791a2c52a83862ae03202534</anchor>
      <arglist>(globus_gsi_callback_data_t callback_data, globus_gsi_extension_callback_t extension_cb)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_callback_get_error</name>
      <anchorfile>group__globus__gsi__callback__data.html</anchorfile>
      <anchor>g2e62fb4ae5bc16a58208c8dd1066431f</anchor>
      <arglist>(globus_gsi_callback_data_t callback_data, globus_result_t *error)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_callback_set_error</name>
      <anchorfile>group__globus__gsi__callback__data.html</anchorfile>
      <anchor>g1b9fb58388b4cf0404dcea072f0ed802</anchor>
      <arglist>(globus_gsi_callback_data_t callback_data, globus_result_t error)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_callback_get_check_policy_for_self_signed_certs</name>
      <anchorfile>group__globus__gsi__callback__data.html</anchorfile>
      <anchor>g0230a3588b4cf6fc2b635873f6c3c0e4</anchor>
      <arglist>(globus_gsi_callback_data_t callback_data, globus_bool_t *check)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_callback_set_check_policy_for_self_signed_certs</name>
      <anchorfile>group__globus__gsi__callback__data.html</anchorfile>
      <anchor>gfae871f14355603014f94711b77a4f3b</anchor>
      <arglist>(globus_gsi_callback_data_t callback_data, globus_bool_t check)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_callback_get_allow_missing_signing_policy</name>
      <anchorfile>group__globus__gsi__callback__data.html</anchorfile>
      <anchor>g9d2deab99db48d202d1ec22f600ca3e5</anchor>
      <arglist>(globus_gsi_callback_data_t callback_data, globus_bool_t *allow)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_callback_set_allow_missing_signing_policy</name>
      <anchorfile>group__globus__gsi__callback__data.html</anchorfile>
      <anchor>ge87663352a7d7929d738a936d662d690</anchor>
      <arglist>(globus_gsi_callback_data_t callback_data, globus_bool_t allow)</arglist>
    </member>
    <member kind="typedef">
      <type>globus_l_gsi_callback_data_s *</type>
      <name>globus_gsi_callback_data_t</name>
      <anchorfile>group__globus__gsi__callback__data.html</anchorfile>
      <anchor>g5b1aa437af4f3cc89592607ea9bfb3d9</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_gsi_callback_constants</name>
    <title>GSI Callback Constants</title>
    <filename>group__globus__gsi__callback__constants.html</filename>
    <member kind="enumeration">
      <name>globus_gsi_callback_error_t</name>
      <anchor>gf8403792415b15f3eac81aa66c5e9429</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CALLBACK_ERROR_SUCCESS</name>
      <anchor>ggf8403792415b15f3eac81aa66c5e9429b15ffe1f175d8ddb23b2450a00414bbd</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CALLBACK_ERROR_VERIFY_CRED</name>
      <anchor>ggf8403792415b15f3eac81aa66c5e9429505f238e76032124a8a6e56d489c6933</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CALLBACK_ERROR_CERT_NOT_YET_VALID</name>
      <anchor>ggf8403792415b15f3eac81aa66c5e9429c48d4c8defa29bb451095df2cc7bd680</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CALLBACK_ERROR_CANT_GET_LOCAL_CA_CERT</name>
      <anchor>ggf8403792415b15f3eac81aa66c5e94298ae251435c14365ec14fb42e147f3e68</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CALLBACK_ERROR_CERT_HAS_EXPIRED</name>
      <anchor>ggf8403792415b15f3eac81aa66c5e94291cbc183437cd7752662a938beec2ad4c</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CALLBACK_ERROR_INVALID_PROXY</name>
      <anchor>ggf8403792415b15f3eac81aa66c5e9429c124dc83b12a3cee428c7379f6d01409</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CALLBACK_ERROR_LIMITED_PROXY</name>
      <anchor>ggf8403792415b15f3eac81aa66c5e9429a8b034c6005fad226808ed53c6cfd64d</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CALLBACK_ERROR_INVALID_CRL</name>
      <anchor>ggf8403792415b15f3eac81aa66c5e9429a5e3e07604b8fed2feca1281456e8d97</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CALLBACK_ERROR_REVOKED_CERT</name>
      <anchor>ggf8403792415b15f3eac81aa66c5e9429583a66e75630549cd9ba66c32c272769</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CALLBACK_ERROR_MIXING_DIFFERENT_PROXY_TYPES</name>
      <anchor>ggf8403792415b15f3eac81aa66c5e942972e68cdb9c38cfae470e0df35444192d</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CALLBACK_ERROR_WITH_SIGNING_POLICY</name>
      <anchor>ggf8403792415b15f3eac81aa66c5e9429ae8decd6820afb5f5d6fb7397b7c5f37</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CALLBACK_ERROR_OLD_GAA</name>
      <anchor>ggf8403792415b15f3eac81aa66c5e9429e4769c9f25eb4e61e21fa6ac4da31f05</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CALLBACK_ERROR_CALLBACK_DATA</name>
      <anchor>ggf8403792415b15f3eac81aa66c5e9429cf15c6b4d203e4cd349b26194983c313</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CALLBACK_ERROR_ERRNO</name>
      <anchor>ggf8403792415b15f3eac81aa66c5e9429307c0db7b1e8c5ae9cc9d6285a98e4fc</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CALLBACK_ERROR_CERT_CHAIN</name>
      <anchor>ggf8403792415b15f3eac81aa66c5e9429b43d5a1c869d5121321b1ee54dbe4681</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CALLBACK_ERROR_WITH_CALLBACK_DATA_INDEX</name>
      <anchor>ggf8403792415b15f3eac81aa66c5e9429f256b8387115911f7f1f2eb873a5e5bf</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CALLBACK_ERROR_PROXY_PATH_LENGTH_EXCEEDED</name>
      <anchor>ggf8403792415b15f3eac81aa66c5e94293b8389bb7aeafbb6dc9d8d2a15953d64</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CALLBACK_ERROR_LAST</name>
      <anchor>ggf8403792415b15f3eac81aa66c5e94290a37d88ae2f5f0aa7861f8060480eabf</anchor>
      <arglist></arglist>
    </member>
  </compound>
</tagfile>
